Problem syncing facilities across versions 14.7 and 15.2

I have a downloaded version of Kolibri 14.7 on my personal computer, on which I’ve created curriculum for secondary students using KA Lite and CK-12. Our school just received a new server with the Kolibri version 15.2 on it, but none of the content that is needed. I am attempting to sync my local facility to the new server, but it stops at a certain point when it asks for my username and password for the 14.7 version.
I am on the 15.2 version using the server’s network, and go to “Import Facility.” I put in the 14.7 server URL (daf3), which allows me to continue, and select the facility (218b). It asks me to enter the username and password for a facility admin of (218b) or a super admin of (daf3). When I put that information in, it tells me it is incorrect, which I know to be untrue.
Could this be an issue of syncing between versions? Thank you.

Hi @Lydia,

Welcome to the Learning Equality forums!

I put in the 14.7 server URL (daf3), which allows me to continue

Both your personal computer and the server on the same local network, correct? It should have detected the 0.14.7 instance on the network, unless the two are on a different subnets. What’s the 0.14.7 URL you used?

Regards,
Blaine

Thank you. The 0.14.7 url is 127.0.0.1:8080.
Lydia

The IP address 127.0.0.1 is (always) the device’s own address. So by entering that into the server, it was attempting to connect and sync with itself, hence the reason you encountered an authentication issue. Please see our documentation for more background on IP addresses.

To resolve your issue, please use the external IP address of your personal computer on the local network shared with the server. Please see our documentation regarding how to determine that IP address. It likely starts with 192. or 10.

Regards,
Blaine

Sorry, I misunderstood.
The server URL for my personal computer is 172.18.96.100:8080. There are two for the smart box server: 172.18.96.102:8009 and 172.18.96.1:8009.
Thanks,
Lydia

Those IP addresses are indeed addresses reserved for private networks.

Since you were able to select a facility for import, it seems that the most likely issue is indeed an issue with the credentials. We resolved an issue in 0.15 regarding sync authentication when the instance (your 0.14.7 instance in this case) has multiple facilities and more than one user with the same username in different facilities. I recommend using credentials for a super admin. If super admin credentials don’t resolve the issue, you might consider upgrading the 0.14.7 instance to 0.15.

Lastly, if you’re still encountering issues, please share the Advanced device info for both instances, shown on the Device > Info tab. Also, please reattempt the import of the facility, and afterwards, share the Kolibri logs from both instances. Our documentation has guidance on where to find log files.

Regards,
Blaine